Skip to main content

Cancel a Mandate


This section describes how to cancel a mandate. Cancelling a mandate requires the transaction ID retrieved from the response when setting up the subscription.

Endpoints

PATCH /pts/v2/billing-agreements

PATCH /pts/v2/billing-agreements

See Endpoints for the full per-brand Server URLs reference.

Example

{  "clientReferenceInformation": {    "code": "TC84100-1"  },  "paymentInformation": {    "paymentType": {      "name": "bankTransfer",      "method": {        "name": "payToPayByBank"      }    }  },  "processingInformation": {    "actionList": ["AP_CANCEL_AGREEMENT"]  }}
{    "processorInformation": {        "responseCode": "00016",        "transactionId": "843a3fb9237647af9b9bb473dc84dc68"    },    "clientReferenceInformation": {        "code": "TC84100-1"    },    "message": "Request was processed successfully.",    "agreementInformation": {        "dateCreated": "20260114",        "id": "KOO7SKEBK3T7"    },    "status": "REVOKED",    "id": "7684132325436186204807",    "submitTimeUtc": "2026-01-14T17:53:52Z"}
FieldTypeDescription
clientReferenceInformation.code
paymentInformation.paymentType.method.nameSet to payToPayByBank.
paymentInformation.paymentType.nameSet to bankTransfer.
processingInformation.actionList[0]Set to AP_CANCEL_AGREEMENT.

Last published: September 29, 2026